/*
 * @Description: 定制封装公共方法
 * @Author: Rockery
 * @Date: 2021-04-26 15:53:59
 * @LastEditors: Rockery
 * @LastEditTime: 2021-04-26 16:04:44
 * @FilePath: \pc_web\src\utils\rockeryutil.js
 * @Copyright: Copyright (c) 2016~2021 Rockery(1113269755@qq.com)
 */

/**
 * @description: 开启遮护罩
 * @param {String} paramText 遮护罩描述信息
 * @param {String} paramTarget 遮护罩位置，默认全局
 * @return {*} 遮护罩对象
 */
export function handleOpenLoading(paramText, paramTarget) {
  if (!paramTarget) {
    return this.$loading({
      lock: true,
      text: paramText || "正在拼命加载中...",
      spinner: 'el-icon-loading',
      background: 'rgba(0, 0, 0, 0.5)'
    });
  }

  return this.$loading({
    lock: true,
    text: paramText || "正在拼命加载中...",
    spinner: 'el-icon-loading',
    background: 'rgba(0, 0, 0, 0.5)',
    target: paramTarget
  });
}

/**
 * @description: 关闭遮护罩
 * @param {*} paramLoading 遮护罩对象
 */
export function handleCloseLoading(paramLoading) {
  (null !== paramLoading) && paramLoading.close();
}
